import { API_URL } from '$env/static/private';

import { redirect } from '@sveltejs/kit';

import type { LeaderboardEvent } from '$lib/types';

import type { PageServerLoad } from './$types';

export const load = (async ({ locals: { user }, fetch, cookies, params: { chapterId } }) => {

	if (!user) redirect(302, '/login');

	if (!chapterId) redirect(302, '/');

	const session = cookies.get('session');

	const res = await fetch(`${API_URL}/leaderboard/${chapterId}`, {
		headers: {
			Authorization: `Bearer ${session}`
		}
	});

	if (!res.ok) redirect(302, '/');

	const leaderboard = (await res.json()) as LeaderboardEvent;

	if (!leaderboard) redirect(302, '/');

	return {
		title: "Classement",
		leaderboard
	};
}) satisfies PageServerLoad;
